<?php
#BEGIN_LICENSE
#-------------------------------------------------------------------------
# Module: Newsletter Made Simple (c) 2008-2012 by Robert Campbell 
#         (calguy1000@cmsmadesimple.org)
#  An addon module for CMS Made Simple to provide a flexible
#  mailing list solution.
# 
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2005 by Ted Kulp (wishy@cmsmadesimple.org)
# This project's homepage is: http://www.cmsmadesimple.org
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# However, as a special exception to the GPL, this software is distributed
# as an addon module to CMS Made Simple.  You may not use this software
# in any Non GPL version of CMS Made simple, or in any version of CMS
# Made simple that does not indicate clearly and obviously in its admin 
# section that the site was built with CMS Made simple.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
#END_LICENSE
if( !isset($gCms) ) exit;
if( !$this->CheckPermission('Modify Site Preferences') && !$this->CheckPermission('Manage NMS Preferences') ) exit;

$this->SetCurrentTab('jobpreferences');
if( isset($params['reset']) ) {
  $this->SetPreference('send_jobcomplete_groups','');
  $this->SetPreference('send_jobcomplete_subject',$this->Lang('jobcomplete_subject'));
  $this->SetTemplate('send_jobcomplete_template',
		       file_get_contents(dirname(__FILE__).'/templates/orig_jobcomplete_template.tpl'));

  $this->SetMessage($this->Lang('msg_prefsreset'));
}
else {
  $this->SetPreference('send_jobcomplete_groups',(int) $params['send_jobcomplete_groups']);
  $this->SetPreference('send_jobcomplete_subject',trim($params['send_jobcomplete_subject']));
  $this->SetTemplate('send_jobcomplete_template',trim($params['send_jobcomplete_template']));

  $this->SetMessage($this->Lang('msg_prefsupdated'));
}

$this->RedirectToTab($id);
#
# EOF
#
?>