<?php
#BEGIN_LICENSE
#-------------------------------------------------------------------------
# Module: Newsletter Made Simple (c) 2008 by Robert Campbell 
#         (calguy1000@cmsmadesimple.org)
#  An addon module for CMS Made Simple to provide a flexible
#  mailing list solution.
# 
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2005 by Ted Kulp (wishy@cmsmadesimple.org)
# This project's homepage is: http://www.cmsmadesimple.org
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# However, as a special exception to the GPL, this software is distributed
# as an addon module to CMS Made Simple.  You may not use this software
# in any Non GPL version of CMS Made simple, or in any version of CMS
# Made simple that does not indicate clearly and obviously in its admin 
# section that the site was built with CMS Made simple.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
#END_LICENSE
if( !isset($gCms) ) exit;

$db = $this->GetDb();
global $themeObject;

$smarty->assign('idtext', $this->Lang('id'));
$smarty->assign('desctext', $this->Lang('description'));
$smarty->assign('nametext', $this->Lang('name'));
$smarty->assign('publictext', $this->Lang('public'));
$result= array ();
$query= "SELECT * FROM ".NMS_LIST_TABLE." ORDER BY listid";
$dbresult = $db->GetArray($query);
$rowclass= 'row1';
$rowarray= array ();

foreach( $dbresult as $row ) {
  $onerow= new StdClass();
  $onerow->rowclass= $rowclass;
  $onerow->id= $row['listid'];
  $onerow->description= $row['description'];
  $onerow->dynamic = $row['dynamic'];
  $onerow->public= ($row['public'] == 1) ? $this->Lang('yes') : '';
  $onerow->name= $this->CreateLink($id, 'edit_list', $returnid, $row['name'], $row);
  $onerow->editlink= $this->CreateLink($id, 'edit_list', $returnid, $themeObject->DisplayImage('icons/system/edit.gif', $this->Lang('edit'), '', '', 'systemicon'), $row);
  $onerow->deletelink= $this->CreateLink($id, 'delete_list', $returnid, $themeObject->DisplayImage('icons/system/delete.gif', $this->Lang('delete'), '', '', 'systemicon'), $row, $this->Lang('confirmdeletelist'));
  ($rowclass == "row1" ? $rowclass= "row2" : $rowclass= "row1");
  $rowarray[]= $onerow;
}

$smarty->assign('itemsfound', $this->Lang('listsfoundtext'));
$smarty->assign('itemcount', count($rowarray));
$smarty->assign('items', $rowarray);
$smarty->assign('createlink', 
		$this->CreateLink($id, 'create_new_list', $returnid,
				  $themeObject->DisplayImage('icons/system/newobject.gif', $this->Lang('title_mod_createnew'), '', '', 'systemicon')).
		$this->CreateLink($id, 'create_new_list', $returnid, 
				  $this->Lang('title_mod_createnew'), 
				  array()));

echo $this->ProcessTemplate('lists.tpl');


#
# EOF
#
?>